%define anolis_release 2

%global debug_package %{nil}
%global kernel_version %(rpm -qa kernel-devel | sed -e 's/kernel-devel-//g')

Name:           kmod-intel_dlb2
Version:        8.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Intel DLB2 Driver

License:        GPLv2.0+
URL:            https://www.intel.com/content/www/us/en/download/686372/773770/intel-dynamic-load-balancer.html
Source0:        https://downloadmirror.intel.com/773770/%{name}-%{version}.tar.gz
Source1:        kmod-intel_dlb2-8.2.0.tar.gz

ExclusiveArch:  x86_64

Requires:       kernel-modules >= 5.10.112

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  kernel >= 5.10.112
BuildRequires:  kernel-devel >= 5.10.112

%description
Implementation of the dlb2 driver

%prep
%setup -q

%build
%make_build

%install
mkdir -p %{buildroot}/lib/modules/%{kernel_version}/extra
cp -ap dlb2.ko %{buildroot}/lib/modules/%{kernel_version}/extra

%post
depmod -a
modprobe vfio
modprobe mdev
modprobe dlb2

%postun
rmmod dlb2

%files
%doc README
/lib/modules/%{kernel_version}/extra/dlb2.ko

%changelog
* Mon Aug 28 2023 Guanjun <guanjun@linux.alibaba.com> - 8.2.0-2
- Change License to GPLv2.0+

* Fri Aug 4 2023 Xingrui Yi <yixingrui@linux.alibaba.com> - 8.2.0-1
- update to version 8.2

* Thu Mar 7 2023 Guanjun <guanjun@linux.alibaba.com> - 7.7.0-3
- update dlb2 spec

* Wed Sep 7 2022 Guanjun <guanjun@linux.alibaba.com> - 7.7.0-2
- rename the package name to kmod-intel_dlb2

* Thu Aug 11 2022 root <arun.kumar.rajendra.kumar@intel.com> - 7.7.0-1
- dlb2 driver rpm package
